class uKnifeFP extends R6AbstractFirstPersonWeapon;

#exec OBJ LOAD FILE="..\textures\MW2_Weapons_T.utx" PACKAGE="MW2_Weapons_T"

function PostBeginPlay()
{
	LinkSkelAnim(MeshAnimation'R61stItems_UKX.R61stItemAttachementA');
	super.PostBeginPlay();
	m_smGun = spawn(class'R61stWeaponStaticMesh');
	m_smGun.SetStaticMesh(StaticMesh'MW2_Weapons_T.knife_sm');
	m_smGun.SetDrawScale(1.5);
	AttachToBone(m_smGun,'TagFrame'); 
}

function Tick(float d)
{
	super.Tick(d);
	if ( Owner != none )
	{
		if ( R6Weapons(Owner).m_WeaponShortName != "Throwing Knife" )
		{
			R6Weapons(Owner).m_WeaponShortName = "Throwing Knife";//rename
			R6Weapons(Owner).m_NameID = "";
		}
	}
}

defaultproperties
{
	Mesh=SkeletalMesh'R61stItems_UKX.R61stItemAttachement'
}