class uMk14Normal extends NormalAssaultM14;

var (R6GunProperties) class<R6Reticule> m_pReticuleClass;
var (R6GunProperties) class<R6Reticule> m_pWithWeaponReticuleClass;

simulated function WeaponInitialization(Pawn pawnOwner)
{
	if ( Level.NetMode == NM_DedicatedServer )
	return;
	CreateWeaponEmitters();
	m_WeaponShortName = "Mk14 EBR";
}

simulated function R6SetReticule(optional Controller LocalPlayerController)
{
	if ( Owner.IsA('R6Rainbow') )
	{
		if ( ( m_pReticuleClass != none) && ( m_ReticuleInstance == none ) )
		{
			if ( ( m_pFPWeaponClass != none ) && ( m_eWeaponType != WT_Grenade ) && ( m_eWeaponType != WT_Gadget ) )
			{
				m_ReticuleInstance = spawn(m_pWithWeaponReticuleClass, owner);
			}
			else
			{
				m_ReticuleInstance = spawn(m_pReticuleClass, owner); 
			}
			if ( Level.NetMode == NM_Standalone )
			{
				m_ReticuleInstance.m_bShowNames = true;
			}
			else
			{
				if ( LocalPlayerController != none )
				m_ReticuleInstance.m_bShowNames = R6GameReplicationInfo(R6PlayerController(LocalPlayerController).GameReplicationInfo).m_bShowNames;
				else
				m_ReticuleInstance.m_bShowNames = R6GameReplicationInfo(R6PlayerController(Pawn(Owner).controller).GameReplicationInfo).m_bShowNames;
			}
		}
	}
}

defaultproperties
{
	m_pReticuleClass=class'R6Weapons.R6RifleReticule'
	m_pWithWeaponReticuleClass=class'R6Weapons.R6WithWeaponReticule'
	m_fMaxZoom=5.0000
	m_fMuzzleVelocity=50080.000000
	m_fFireSoundRadius=3002.000000
	m_stWeaponCaps=(bSingle=1,bFullAuto=1,bSilencer=1)
	m_ScopeAdd=Texture'Inventory_t.Scope.ScopeBlurTex_3add'
	m_ScopeTexture=Texture'Inventory_t.Scope.ScopeBlurTex'
	m_stAccuracyValues=(fBaseAccuracy=0.6200,fShuffleAccuracy=2.600717,fWalkingAccuracy=3.901075,fWalkingFastAccuracy=13.091934,fRunningAccuracy=13.091934,fReticuleTime=1.011250,fAccuracyChange=5.361854,fWeaponJump=7.948974)
	m_pFPWeaponClass=class'MW2_Update.uMk14FP'
	m_NameID="Mk14 EBR (7.62mm)"
}