class uMk14FP extends R6AbstractFirstPersonWeapon;

#exec OBJ LOAD FILE="..\textures\MW2_Weapons_T.utx" PACKAGE="MW2_Weapons_T"

function PostBeginPlay()
{
	LinkSkelAnim(MeshAnimation'MW2_Weapons_T.ebr_a');
	super.PostBeginPlay();
	if ( m_smGun == none )
	{
		m_smGun = spawn(class'R61stWeaponStaticMesh');
	}
	m_smGun.SetStaticMesh(StaticMesh'MW2_Weapons_T.m39_sm');
	AttachToBone(m_smGun,'TagFrame');
}

function Tick(float d)
{
	super.Tick(d);
	if ( Owner != none )
	{
		if ( R6Weapons(Owner).m_WeaponShortName != "Mk14 EBR" )
		{
			R6Weapons(Owner).m_WeaponShortName = "Mk14 EBR";//rename
			R6Weapons(Owner).m_HUDTexturePos = class'AssaultM14'.default.m_HUDTexturePos;
			R6Weapons(Owner).m_vPositionOffset.X = class'AssaultM14'.default.m_vPositionOffset.X - 1.8;//3.7
			R6Weapons(Owner).m_vPositionOffset.Y = class'AssaultM14'.default.m_vPositionOffset.Y + 4;//3.5
			R6Weapons(Owner).m_vPositionOffset.Z = class'AssaultM14'.default.m_vPositionOffset.Z - 1;//-2
			R6Weapons(Owner).m_pFPHandsClass = class'AssaultM14'.default.m_pFPHandsClass;
			R6Weapons(Owner).m_eGripType = class'AssaultM14'.default.m_eGripType;
			R6Weapons(Owner).m_PawnWaitAnimLow = class'AssaultM14'.default.m_PawnWaitAnimLow;
			R6Weapons(Owner).m_PawnWaitAnimHigh = class'AssaultM14'.default.m_PawnWaitAnimHigh;
			R6Weapons(Owner).m_PawnWaitAnimProne = class'AssaultM14'.default.m_PawnWaitAnimProne;
			R6Weapons(Owner).m_PawnFiringAnim = class'AssaultM14'.default.m_PawnFiringAnim;
			R6Weapons(Owner).m_PawnFiringAnimProne = class'AssaultM14'.default.m_PawnFiringAnimProne;
			R6Weapons(Owner).m_PawnReloadAnim = class'AssaultM14'.default.m_PawnReloadAnim;
			R6Weapons(Owner).m_PawnReloadAnimTactical = class'AssaultM14'.default.m_PawnReloadAnimTactical;
			R6Weapons(Owner).m_PawnReloadAnimProne = class'AssaultM14'.default.m_PawnReloadAnimProne;
			R6Weapons(Owner).m_PawnReloadAnimProneTactical = class'AssaultM14'.default.m_PawnReloadAnimProneTactical;
			R6Weapons(Owner).m_NameID = "";
			R6Weapons(Owner).m_bBipod = false;
		}
	}
}

defaultproperties
{
	Mesh=SkeletalMesh'MW2_Weapons_T.ebr_mesh'
	m_dbgVectorInfo(0)=(m_szDef="R63rdWeapons.SniperDragunov")
}