class vKnifeGadget extends R6GrenadeWeapon;

simulated function WeaponInitialization(Pawn pawnOwner)
{
	if ( Level.NetMode == NM_DedicatedServer )
	return;
	CreateWeaponEmitters();
	m_WeaponShortName = "Throwing Knife";
}

function ThrowGrenade()
{
	local vector vStart; 
	local rotator rFiringDir; 
	local R6Pawn PawnOwner;
	local uKnife aKnife;
	PawnOwner = R6Pawn(Owner);
	if ( m_iNbBulletsInWeapon > 0 )
	{
		m_iNbBulletsInWeapon--;
		if ( m_iNbBulletsInWeapon == 0 )
		{
			SetStaticMesh(none);
		}
		//Get the firing direction vStart is used as temporary variable
		GetFiringDirection(vStart,rFiringDir);
		//Get start location.
		if ( PawnOwner.m_bIsPlayer )
		vStart = PawnOwner.GetGrenadeStartLocation(m_eThrow);
		else
		vStart = PawnOwner.GetHandLocation();
		aKnife = spawn(class'uKnife',self,,vStart,rFiringDir);
		aKnife.KnifeOwner = Pawn(Owner);
		if ( PawnOwner.m_bIsProne == true )
		{
			aKnife.SetSpeed(m_fMuzzleVelocity*0.5);
		}
		else
		{
			aKnife.SetSpeed(m_fMuzzleVelocity);
		}
		ClientThrowGrenade();
	}
}

defaultproperties
{
	m_iClipCapacity=30
	m_bHiddenWhenNotInUse=true
	m_bPinToRemove=false
	m_fMuzzleVelocity=1700.0
	m_pFPHandsClass=class'R61stWeapons.R61stHandsGripFalseHBPuck'
	m_pFPWeaponClass=class'MW2_Update.uKnifeFP'
	m_EquipSnd=Sound'Foley_FragGrenade.Play_Frag_Equip'
	m_UnEquipSnd=Sound'Foley_FragGrenade.Play_Frag_Unequip'
	m_AttachPoint="TagHBPuck"
	m_pBulletClass=class'MW2_Update.uKnife'
	//m_HUDTexture=Texture'R6HUD.HUDElements'
	//m_HUDTexturePos=(W=32.000000,X=400.000000,Y=352.000000,Z=100.000000)
	m_NameID="Many Throwing Knives"
	StaticMesh=none
}